# $Revision: 1.32 $, $Date: 2007/09/05 13:17:51 $
Summary:	Converts and manipulates GIFs
Summary(de.UTF-8):	Konvertiert und manipuliert GIFs
Summary(fr.UTF-8):	Converti et manipule des GIFs
Summary(pl.UTF-8):	Program do konwertowania i manipulacji plikami w formacie GIF
Summary(tr.UTF-8):	GIF dosyalarını başka biçimlere çevirir
Name:		giftrans
Version:	1.12.2
Release:	11
License:	BSD
Group:		Applications/Graphics
Source0:	ftp://ftp.rz.uni-karlsruhe.de/pub/net/www/tools/%{name}-%{version}.tar.gz
# Source0-md5:	58712d7c2dcbd8ea5f0dc18945dfcabd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program can convert and manipulate GIF images from the command
line. It is most useful for making a color transparent for web sites.

%description -l de.UTF-8
Dieses Programm kann GIF-Bilder aus der Befehlszeile konvertieren und
manipulieren. Besonders praktisch ist es, um eine Farbe für Web-Seiten
transparent zu machen.

%description -l fr.UTF-8
Ce programme convertit et manipule des images GIF à partir de la ligne
de commande. Il est surtout utilisé pour créer une couleur
transparente pour les sites web.

%description -l pl.UTF-8
Program do konwertowania i manipulacji plikami w formacie GIF.
Szczególnie użyteczny do robienia kolorowych witryn WWW.

%description -l tr.UTF-8
Bu program, GIF biçimindeki resim dosyalarını başka biçimlere çevirir.
En yaygın kullanım alanlarından biri, web siteleri için resimleri
saydam hale getirmektir.

%prep
%setup -q

%build
%{__cc} -Dvoidd=void %{rpmcflags} -o giftrans giftrans.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install giftrans $RPM_BUILD_ROOT%{_bindir}
install giftrans.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: giftrans.spec,v $
Revision 1.32  2007/09/05 13:17:51  baggins
- rel 11

Revision 1.31  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.29  2003/11/29 12:56:44  undefine
- release 10 to rebuild with ac

Revision 1.28  2003/08/28 08:20:31  ankry
- cosmetics

Revision 1.27  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 05:47:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2002/04/25 16:23:25  arturs
fixed a small typo

Revision 1.24  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:13:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/05/18 22:00:25  kloczek
- release 9.

Revision 1.20  2001/04/30 16:05:18  kloczek
- added using %%{rpmcflags} macro.

Revision 1.19  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.18  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.17  2000/11/25 03:08:27  kloczek
- release 8: added using new rpm automation.

Revision 1.16  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.13  1999/08/05 14:16:54  wiget
- added %%defattr macro

Revision 1.12  1999/07/15 21:23:53  kloczek
- two typos.

Revision 1.11  1999/07/15 20:53:15  kloczek
- fix: use %%{_bindir} and %%{_mandir} on making directories in %install

Revision 1.10  1999/07/15 20:42:53  kloczek
- revision up to 5,
- cosmetic changes.

Revision 1.9  1999/07/12 23:05:57  kloczek

- added using CVS keywords in %changelog (for automating them).

* Wed Feb 17 1999 Michał Kuratczyk <kurkens@polbox.com>
  [1.12.2-4]
- added Group(pl)
- added gzipping man page

* Tue Nov 17 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [1.12.2-3]
- major changes.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- udpated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
